<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/JSONGeneratorTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">JSONGeneratorTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_j_s_o_n_generator_8h_source.html">AVSCommon/Utils/JSON/JSONGenerator.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for JSONGeneratorTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_j_s_o_n_generator_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_j_s_o_n_generator_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_j_s_o_n_generator_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_j_s_o_n_generator_test_8cpp">
<area shape="rect" id="node3" href="_j_s_o_n_generator_8h.html" title="AVSCommon/Utils/JSON\l/JSONGenerator.h" alt="" coords="123,105,293,144"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test_1_1_json_generator_test.html">alexaClientSDK::avsCommon::utils::json::test::JsonGeneratorTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json.html">alexaClientSDK::avsCommon::utils::json</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html">alexaClientSDK::avsCommon::utils::json::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:abab4ec3dc3bc7d64d4123cee37d12f30"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#abab4ec3dc3bc7d64d4123cee37d12f30">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_emptyJson)</td></tr>
<tr class="memdesc:abab4ec3dc3bc7d64d4123cee37d12f30"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json generator when no member is given.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#abab4ec3dc3bc7d64d4123cee37d12f30">More...</a><br /></td></tr>
<tr class="separator:abab4ec3dc3bc7d64d4123cee37d12f30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2640499d55131d4e6ff64a137342212e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a2640499d55131d4e6ff64a137342212e">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonObject)</td></tr>
<tr class="memdesc:a2640499d55131d4e6ff64a137342212e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json generator object creation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a2640499d55131d4e6ff64a137342212e">More...</a><br /></td></tr>
<tr class="separator:a2640499d55131d4e6ff64a137342212e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55f43f8f0ee781d886b6802ff054b448"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a55f43f8f0ee781d886b6802ff054b448">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonInt)</td></tr>
<tr class="memdesc:a55f43f8f0ee781d886b6802ff054b448"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json generator int creation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a55f43f8f0ee781d886b6802ff054b448">More...</a><br /></td></tr>
<tr class="separator:a55f43f8f0ee781d886b6802ff054b448"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7888f7b472b648ce1bb86d65f9c8e7ef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a7888f7b472b648ce1bb86d65f9c8e7ef">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonLong)</td></tr>
<tr class="memdesc:a7888f7b472b648ce1bb86d65f9c8e7ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json generator long creation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a7888f7b472b648ce1bb86d65f9c8e7ef">More...</a><br /></td></tr>
<tr class="separator:a7888f7b472b648ce1bb86d65f9c8e7ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd4abac88748dcf21ef5ac49316ac788"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#abd4abac88748dcf21ef5ac49316ac788">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonUInt)</td></tr>
<tr class="memdesc:abd4abac88748dcf21ef5ac49316ac788"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json generator long creation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#abd4abac88748dcf21ef5ac49316ac788">More...</a><br /></td></tr>
<tr class="separator:abd4abac88748dcf21ef5ac49316ac788"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a818ea82dfb64ccc39689c316085bb467"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a818ea82dfb64ccc39689c316085bb467">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonULong)</td></tr>
<tr class="memdesc:a818ea82dfb64ccc39689c316085bb467"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json generator long creation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a818ea82dfb64ccc39689c316085bb467">More...</a><br /></td></tr>
<tr class="separator:a818ea82dfb64ccc39689c316085bb467"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3216758e78231aaa153285aaea82b15"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#ac3216758e78231aaa153285aaea82b15">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonBool)</td></tr>
<tr class="memdesc:ac3216758e78231aaa153285aaea82b15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json generator boolean creation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#ac3216758e78231aaa153285aaea82b15">More...</a><br /></td></tr>
<tr class="separator:ac3216758e78231aaa153285aaea82b15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82a7b905aa0829fc82f4b0200896f470"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a82a7b905aa0829fc82f4b0200896f470">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonCString)</td></tr>
<tr class="memdesc:a82a7b905aa0829fc82f4b0200896f470"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json generator char creation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a82a7b905aa0829fc82f4b0200896f470">More...</a><br /></td></tr>
<tr class="separator:a82a7b905aa0829fc82f4b0200896f470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a763619485bc9fcae9d27439cf600a265"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a763619485bc9fcae9d27439cf600a265">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonNullCString)</td></tr>
<tr class="memdesc:a763619485bc9fcae9d27439cf600a265"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json generator char creation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a763619485bc9fcae9d27439cf600a265">More...</a><br /></td></tr>
<tr class="separator:a763619485bc9fcae9d27439cf600a265"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8976218477d5cd3823dd063e460aea3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#ac8976218477d5cd3823dd063e460aea3">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonRawJsonMember)</td></tr>
<tr class="memdesc:ac8976218477d5cd3823dd063e460aea3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json raw creation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#ac8976218477d5cd3823dd063e460aea3">More...</a><br /></td></tr>
<tr class="separator:ac8976218477d5cd3823dd063e460aea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dbeb70bb7704d999e86ae7f38bd81c5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a7dbeb70bb7704d999e86ae7f38bd81c5">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_jsonRawJsonMemberFailed)</td></tr>
<tr class="memdesc:a7dbeb70bb7704d999e86ae7f38bd81c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test json raw validation.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a7dbeb70bb7704d999e86ae7f38bd81c5">More...</a><br /></td></tr>
<tr class="separator:a7dbeb70bb7704d999e86ae7f38bd81c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2942615a8c2fff421135dbf26c95cd49"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a2942615a8c2fff421135dbf26c95cd49">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_closeTooMany)</td></tr>
<tr class="memdesc:a2942615a8c2fff421135dbf26c95cd49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test close when there is no open object.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a2942615a8c2fff421135dbf26c95cd49">More...</a><br /></td></tr>
<tr class="separator:a2942615a8c2fff421135dbf26c95cd49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53a59376d82ea675efa17f3196b5d5bf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a53a59376d82ea675efa17f3196b5d5bf">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_openObjects)</td></tr>
<tr class="memdesc:a53a59376d82ea675efa17f3196b5d5bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test to string with open objects.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a53a59376d82ea675efa17f3196b5d5bf">More...</a><br /></td></tr>
<tr class="separator:a53a59376d82ea675efa17f3196b5d5bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a320b9d94d05c9dece11d260f3aa295ae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a320b9d94d05c9dece11d260f3aa295ae">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_finalizeObjects)</td></tr>
<tr class="memdesc:a320b9d94d05c9dece11d260f3aa295ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test finalize open objects.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#a320b9d94d05c9dece11d260f3aa295ae">More...</a><br /></td></tr>
<tr class="separator:a320b9d94d05c9dece11d260f3aa295ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7023089df29d195a7d4547a65f33d6a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#aa7023089df29d195a7d4547a65f33d6a">alexaClientSDK::avsCommon::utils::json::test::TEST_F</a> (JsonGeneratorTest, test_addMemberAfterFinalize)</td></tr>
<tr class="memdesc:aa7023089df29d195a7d4547a65f33d6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test operations after finalize.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1test.html#aa7023089df29d195a7d4547a65f33d6a">More...</a><br /></td></tr>
<tr class="separator:aa7023089df29d195a7d4547a65f33d6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
